<?xml version="1.0"?>
<GTK-Interface>

<project>
  <name>Project1</name>
  <program_name>project1</program_name>
  <directory></directory>
  <source_directory>src</source_directory>
  <pixmaps_directory>pixmaps</pixmaps_directory>
  <language>C</language>
  <gnome_support>True</gnome_support>
  <gettext_support>True</gettext_support>
</project>

<widget>
  <class>GtkWindow</class>
  <name>main_widget</name>
  <title>Buffer Manager</title>
  <type>GTK_WINDOW_TOPLEVEL</type>
  <position>GTK_WIN_POS_NONE</position>
  <modal>False</modal>
  <allow_shrink>True</allow_shrink>
  <allow_grow>True</allow_grow>
  <auto_shrink>False</auto_shrink>

  <widget>
    <class>GtkNotebook</class>
    <name>notebook1</name>
      <signal>
        <name>whatever</name>
        <handler>gdam_skin_track_toplevel_size:buffer_manager</handler>
        <last_modification_time>Sun, 06 Feb 2000 20:44:32 GMT</last_modification_time>
      </signal>
    <can_focus>True</can_focus>
    <show_tabs>True</show_tabs>
    <show_border>True</show_border>
    <tab_pos>GTK_POS_TOP</tab_pos>
    <scrollable>False</scrollable>
    <tab_hborder>2</tab_hborder>
    <tab_vborder>2</tab_vborder>
    <popup_enable>False</popup_enable>

    <widget>
      <class>GtkVBox</class>
      <name>vbox1</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkScrolledWindow</class>
	<name>scrolledwindow2</name>
	<height>150</height>
	<hscrollbar_policy>GTK_POLICY_ALWAYS</hscrollbar_policy>
	<vscrollbar_policy>GTK_POLICY_ALWAYS</vscrollbar_policy>
	<hupdate_policy>GTK_UPDATE_CONTINUOUS</hupdate_policy>
	<vupdate_policy>GTK_UPDATE_CONTINUOUS</vupdate_policy>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkCList</class>
	  <name>clist1</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_buffer_manager_clist:buffer_id:bpm:description</handler>
	    <last_modification_time>Sat, 09 Sep 2000 03:22:05 GMT</last_modification_time>
	  </signal>
	  <columns>3</columns>
	  <column_widths>80,75,80</column_widths>
	  <selection_mode>GTK_SELECTION_SINGLE</selection_mode>
	  <show_titles>True</show_titles>
	  <shadow_type>GTK_SHADOW_IN</shadow_type>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>label9</name>
	    <label>buffer_id</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>label10</name>
	    <label>bpm</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>

	  <widget>
	    <class>GtkLabel</class>
	    <child_name>CList:title</child_name>
	    <name>label11</name>
	    <label>description</label>
	    <justify>GTK_JUSTIFY_CENTER</justify>
	    <wrap>False</wrap>
	    <xalign>0.5</xalign>
	    <yalign>0.5</yalign>
	    <xpad>0</xpad>
	    <ypad>0</ypad>
	  </widget>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox1</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkButton</class>
	  <name>soft_destroy</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_manager_remove_selected</handler>
	    <last_modification_time>Thu, 02 Mar 2000 13:10:52 GMT</last_modification_time>
	  </signal>
	  <label>Remove</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>hard_destroy</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_manager_destroy_selected</handler>
	    <last_modification_time>Thu, 02 Mar 2000 13:10:34 GMT</last_modification_time>
	  </signal>
	  <label>Destroy</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>save</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_skin_launch:GdamBufferSaveSkin:buffer_save.xml</handler>
	    <last_modification_time>Thu, 02 Mar 2000 13:10:34 GMT</last_modification_time>
	  </signal>
	  <label>Save</label>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkButton</class>
	<name>button1</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>clicked</name>
	  <handler>gdam_skin_launch_unique:GdamSamplePickerSkin:samplepicker.xml</handler>
	  <last_modification_time>Tue, 01 Feb 2000 18:01:44 GMT</last_modification_time>
	</signal>
	<label>sample picker</label>
	<child>
	  <padding>0</padding>
	  <expand>False</expand>
	  <fill>False</fill>
	</child>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label2</name>
      <label>select</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>

    <widget>
      <class>GtkVBox</class>
      <name>vbox2</name>
      <homogeneous>False</homogeneous>
      <spacing>0</spacing>

      <widget>
	<class>GtkHBox</class>
	<name>hbox5</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label12</name>
	  <label>buffer id:  </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkLabel</class>
	  <name>label13</name>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_buffer_manager_id_label</handler>
	    <last_modification_time>Sat, 09 Sep 2000 15:01:19 GMT</last_modification_time>
	  </signal>
	  <label>0</label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkEntry</class>
	<name>entry1</name>
	<can_focus>True</can_focus>
	<signal>
	  <name>text_changed</name>
	  <handler>gdam_buffer_manager_description_entry</handler>
	  <last_modification_time>Sat, 09 Sep 2000 15:32:56 GMT</last_modification_time>
	</signal>
	<editable>True</editable>
	<text_visible>True</text_visible>
	<text_max_length>0</text_max_length>
	<text>decription</text>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox2</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label5</name>
	  <label>bpm: </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton1</name>
	  <width>84</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>value_changed</name>
	    <handler>gdam_buffer_manager_bpm_adjustment</handler>
	    <last_modification_time>Sat, 09 Sep 2000 15:56:26 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>False</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>0</value>
	  <lower>0</lower>
	  <upper>1000</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox3</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>True</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label6</name>
	  <label>first beat: </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton2</name>
	  <width>95</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>value_changed</name>
	    <handler>gdam_buffer_manager_fb_adjustment</handler>
	    <last_modification_time>Sat, 09 Sep 2000 15:57:18 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>3</digits>
	  <numeric>False</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>0</value>
	  <lower>0</lower>
	  <upper>10000</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>

      <widget>
	<class>GtkHBox</class>
	<name>hbox4</name>
	<homogeneous>False</homogeneous>
	<spacing>0</spacing>
	<child>
	  <padding>0</padding>
	  <expand>True</expand>
	  <fill>False</fill>
	</child>

	<widget>
	  <class>GtkLabel</class>
	  <name>label7</name>
	  <label>num beats: </label>
	  <justify>GTK_JUSTIFY_CENTER</justify>
	  <wrap>False</wrap>
	  <xalign>0.5</xalign>
	  <yalign>0.5</yalign>
	  <xpad>0</xpad>
	  <ypad>0</ypad>
	  <child>
	    <padding>0</padding>
	    <expand>False</expand>
	    <fill>False</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkSpinButton</class>
	  <name>spinbutton3</name>
	  <width>60</width>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>whatever</name>
	    <handler>gdam_buffer_manager_num_beats_adjustment</handler>
	    <last_modification_time>Fri, 15 Sep 2000 19:42:36 GMT</last_modification_time>
	  </signal>
	  <climb_rate>1</climb_rate>
	  <digits>2</digits>
	  <numeric>False</numeric>
	  <update_policy>GTK_UPDATE_ALWAYS</update_policy>
	  <snap>False</snap>
	  <wrap>False</wrap>
	  <value>1</value>
	  <lower>0</lower>
	  <upper>512</upper>
	  <step>1</step>
	  <page>10</page>
	  <page_size>10</page_size>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button2</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_manager_set_num_beats:1</handler>
	    <last_modification_time>Sat, 09 Sep 2000 01:25:03 GMT</last_modification_time>
	  </signal>
	  <label>1</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button3</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_manager_set_num_beats:2</handler>
	    <last_modification_time>Sat, 09 Sep 2000 01:25:46 GMT</last_modification_time>
	  </signal>
	  <label>2</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button4</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_manager_set_num_beats:4</handler>
	    <last_modification_time>Sat, 09 Sep 2000 01:26:50 GMT</last_modification_time>
	  </signal>
	  <label>4</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button5</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_manager_set_num_beats:8</handler>
	    <last_modification_time>Sat, 09 Sep 2000 01:26:39 GMT</last_modification_time>
	  </signal>
	  <label>8</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button6</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_manager_set_num_beats:16</handler>
	    <last_modification_time>Sat, 09 Sep 2000 01:28:11 GMT</last_modification_time>
	  </signal>
	  <label>16</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button7</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_manager_set_num_beats:32</handler>
	    <last_modification_time>Sat, 16 Sep 2000 04:13:49 GMT</last_modification_time>
	  </signal>
	  <label>32</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>

	<widget>
	  <class>GtkButton</class>
	  <name>button8</name>
	  <can_focus>True</can_focus>
	  <signal>
	    <name>clicked</name>
	    <handler>gdam_buffer_manager_set_num_beats:64</handler>
	    <last_modification_time>Sat, 16 Sep 2000 04:14:42 GMT</last_modification_time>
	  </signal>
	  <label>64</label>
	  <child>
	    <padding>0</padding>
	    <expand>True</expand>
	    <fill>True</fill>
	  </child>
	</widget>
      </widget>
    </widget>

    <widget>
      <class>GtkLabel</class>
      <child_name>Notebook:tab</child_name>
      <name>label3</name>
      <label>edit</label>
      <justify>GTK_JUSTIFY_CENTER</justify>
      <wrap>False</wrap>
      <xalign>0.5</xalign>
      <yalign>0.5</yalign>
      <xpad>0</xpad>
      <ypad>0</ypad>
    </widget>
  </widget>
</widget>

</GTK-Interface>
